package com.sdtool.common.entity.site;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

public class SiteContent extends BaseEntity {

    @Comment("")
    @RColumn("id")
    @ApiPlace("SiteContent_Get")
    @ApiPlace("SiteContent_Update")
    @ApiPlace("SiteContent_Delete")
    private long id;

    @Comment("分组名称")
    @RColumn("groupname")
    @ApiPlace("SiteContent_List")
    @ApiPlace("SiteContent_Add")
    @ApiPlace("SiteContent_Get")
    @ApiPlace("SiteContent_Update")
    @ApiPlace("SiteContent_Select")
    private String groupName;

    @Comment("标签")
    @RColumn("sitelabel")
    @ApiPlace("SiteContent_List")
    @ApiPlace("SiteContent_Add")
    @ApiPlace("SiteContent_Get")
    @ApiPlace("SiteContent_Update")
    @ApiPlace("SiteContent_Select")
    private String siteLabel;


    @Comment("标题")
    @RColumn("caption")
    @ApiPlace("SiteContent_List")
    @ApiPlace("SiteContent_Add")
    @ApiPlace("SiteContent_Get")
    @ApiPlace("SiteContent_Update")
    @ApiPlace("SiteContent_Select")
    private String caption;

    @Comment("内容url")
    @RColumn("contenturl")
    private String contentUrl;

    @Comment("内容")
    @ApiPlace("SiteContent_Add")
    @ApiPlace("SiteContent_Get")
    @ApiPlace("SiteContent_Update")
    @ApiPlace("SiteContent_Select")
    private String content;

    @Comment("排序")
    @RColumn("sortindex")
    @ApiPlace("SiteContent_List")
    @ApiPlace("SiteContent_Add")
    @ApiPlace("SiteContent_Get")
    @ApiPlace("SiteContent_Update")
    private int sortIndex;

    public SiteContent() {
    }

    public SiteContent(long id, String content) {
        this.id = id;
        this.content = content;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getCaption() {
        return caption;
    }

    public void setCaption(String caption) {
        this.caption = caption;
    }

    public String getContentUrl() {
        return contentUrl;
    }

    public void setContentUrl(String contentUrl) {
        this.contentUrl = contentUrl;
    }

    public int getSortIndex() {
        return sortIndex;
    }

    public void setSortIndex(int sortIndex) {
        this.sortIndex = sortIndex;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getSiteLabel() {
        return siteLabel;
    }

    public void setSiteLabel(String siteLabel) {
        this.siteLabel = siteLabel;
    }
}
